--
-- PortaTras
--
-- @TMP
-- @31/05/2017

Capot = {};

Capot.modDir = g_currentModDirectory;

function Capot.prerequisitesPresent(specializations)
    return true; 
end;

function Capot:load(savegame)

    self.AnimacaoCapot = SpecializationUtil.callSpecializationsFunction("AnimacaoCapot"); 
    
    self.Capot = {};
    
    local trigger = Utils.indexToObject( self.components, getXMLString(self.xmlFile, string.format("vehicle.Capot#trigger")) );
    if trigger == nil then
        print("[Erro: Capot] index ok, mas o trigger nas esta localizado. Volte a ver a linha "..tostring(i+1).." no seu xml");
    end;
    
    local TS = getXMLInt(self.xmlFile, string.format("vehicle.Capot#IC_Numero", i));
    
    self.Capot.TS = TS;
    self.Capot.trigger = trigger;
    self.Capot.TMP = false;
        
	addTrigger( trigger, "AnimacaoCapot", self );
    
end;

function Capot:delete()
    if self.Capot.trigger ~= nil then
        removeTrigger(self.Capot.trigger);
    end;
end;

function Capot:readStream(streamId, connection)
end;

function Capot:writeStream(streamId, connection)
end;

function Capot:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Capot:keyEvent(unicode, sym, modifier, isDown)
end;

function Capot:update(dt)
    
    if self.Capot.TMP then
        g_currentMission:addHelpButtonText( g_i18n:getText("Capot"), InputBinding.Aberturas );    
        setTextColor(1.0, 1.0, 1.0, 1.0);
        setTextAlignment(RenderText.ALIGN_CENTER);                 
        renderText( 0.53, 0.04, 0.035, g_i18n:getText("Capot") );
        if InputBinding.hasEvent(InputBinding.Aberturas)then
            local obj = self.interactiveObjects[self.Capot.TS];
            if obj ~= nil then
                self:doActionOnObject(self.Capot.TS);
            end;
        end
    end;
end;

function Capot:onLeave()
end;

function Capot:draw()
end;

function Capot:AnimacaoCapot(triggerId, otherId, onEnter, onLeave, onStay)
    
    if onEnter and g_currentMission.controlPlayer and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.Capot.TMP = true;
    elseif onLeave and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.Capot.TMP = false;
    end;
    
end;